Index: advanced/in-commerce/elements/sorting.elm.tpl
===================================================================
--- advanced/in-commerce/elements/sorting.elm.tpl	(revision 15331)
+++ advanced/in-commerce/elements/sorting.elm.tpl	(working copy)
@@ -1,5 +1,5 @@
 <!--## SORTING TEMPLATE FOR IN-COMMERCE ##-->
-
+<inp2:m_DefaultParam is_search="0"/>
 <table class="fullwidth">
 	<tr>
 		<td class="category-statistics">
@@ -21,6 +21,11 @@
 				<inp2:m_Phrase label="lu_SortProductsBy"/>:
 
 				<select class="input-select" name="<inp2:p_CombinedSortingDropDownName/>">
+					<inp2:m_if check="m_Param" name="is_search">
+						<option value="Relevance|asc" <inp2:p_SortingSelected sorting="Relevance|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_RelevanceAZ"/></option>
+						<option value="Relevance|desc" <inp2:p_SortingSelected sorting="Relevance|desc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_RelevanceZA"/></option>
+					</inp2:m_if>
+
 					<option value="Name|asc" <inp2:p_SortingSelected sorting="l1_Name|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_comm_NameAZ"/></option>
 					<option value="Name|desc" <inp2:p_SortingSelected sorting="l1_Name|desc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_comm_NameZA"/></option>
 					<option value="Manufacturer|asc" <inp2:p_SortingSelected sorting="Manufacturer|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_comm_ManufAZ"/></option>
Index: advanced/in-commerce/products/search_results.tpl
===================================================================
--- advanced/in-commerce/products/search_results.tpl	(revision 15331)
+++ advanced/in-commerce/products/search_results.tpl	(working copy)
@@ -49,7 +49,7 @@
 					<inp2:m_Phrase label="lu_title_ProductSearchResults"/> (<inp2:p_TotalRecords list_name="product_search_results"/>)
 				</inp2:m_Capture>
 
-				<inp2:m_include template="in-commerce/elements/sorting.elm" list_name="product_search_results"/>
+				<inp2:m_include template="in-commerce/elements/sorting.elm" list_name="product_search_results" is_search="1"/>
 
 				<inp2:m_include template="in-commerce/elements/products.elm"/>
 				<inp2:m_include template="platform/elements/search_results.elm"/>
Index: advanced/in-link/elements/sorting.elm.tpl
===================================================================
--- advanced/in-link/elements/sorting.elm.tpl	(revision 15331)
+++ advanced/in-link/elements/sorting.elm.tpl	(working copy)
@@ -1,3 +1,4 @@
+<inp2:m_DefaultParam is_search="0"/>
 <table class="fullwidth">
 	<tr>
 		<td class="category-statistics">
@@ -19,6 +20,11 @@
 				<inp2:m_Phrase label="lu_SortLinksBy"/>:
 
 				<select class="input-select" name="<inp2:l_CombinedSortingDropDownName/>">
+					<inp2:m_if check="m_Param" name="is_search">
+						<option value="Relevance|asc" <inp2:l_SortingSelected sorting="Relevance|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_RelevanceAZ"/></option>
+						<option value="Relevance|desc" <inp2:l_SortingSelected sorting="Relevance|desc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_RelevanceZA"/></option>
+					</inp2:m_if>
+
 					<option value="Name|asc" <inp2:l_SortingSelected sorting="Name|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_LinkNameAZ"/></option>
 					<option value="Name|desc" <inp2:l_SortingSelected sorting="Name|desc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_LinkNameZA"/></option>
 					<option value="CreatedOn|asc" <inp2:l_SortingSelected sorting="CreatedOn|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_RecentToOld"/></option>
Index: advanced/in-link/links/search_results.tpl
===================================================================
--- advanced/in-link/links/search_results.tpl	(revision 15331)
+++ advanced/in-link/links/search_results.tpl	(working copy)
@@ -51,7 +51,7 @@
 					<inp2:m_Phrase label="lu_title_LinkSearchResults"/> (<inp2:l_TotalRecords list_name="link_search_results"/>)
 				</inp2:m_Capture>
 
-				<inp2:m_include template="in-link/elements/sorting.elm" list_name="link_search_results"/>
+				<inp2:m_include template="in-link/elements/sorting.elm" list_name="link_search_results" is_search="1"/>
 
 				<inp2:m_include template="in-link/elements/links.elm"/>
 				<inp2:m_include template="platform/elements/search_results.elm"/>
Index: advanced/in-news/articles/search_results.tpl
===================================================================
--- advanced/in-news/articles/search_results.tpl	(revision 15331)
+++ advanced/in-news/articles/search_results.tpl	(working copy)
@@ -49,7 +49,7 @@
 			<inp2:m_Phrase label="lu_title_ArticleSearchResults"/> (<inp2:n_TotalRecords list_name="article_search_results"/>)
 		</inp2:m_Capture>
 
-		<inp2:m_include template="in-news/elements/sorting.elm" list_name="article_search_results"/>
+		<inp2:m_include template="in-news/elements/sorting.elm" list_name="article_search_results" is_search="1"/>
 
 		<inp2:m_include template="in-news/elements/articles.elm"/>
 		<inp2:m_include template="platform/elements/search_results.elm"/>
Index: advanced/in-news/elements/sorting.elm.tpl
===================================================================
--- advanced/in-news/elements/sorting.elm.tpl	(revision 15331)
+++ advanced/in-news/elements/sorting.elm.tpl	(working copy)
@@ -1,3 +1,4 @@
+<inp2:m_DefaultParam is_search="0"/>
 <table class="fullwidth">
 	<tr>
 		<td class="category-statistics">
@@ -19,6 +20,11 @@
 				<inp2:m_Phrase label="lu_SortArticlesBy"/>:
 
 				<select name="<inp2:n_CombinedSortingDropDownName/>" class="input-select">
+					<inp2:m_if check="m_Param" name="is_search">
+						<option value="Relevance|asc" <inp2:n_SortingSelected sorting="Relevance|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_RelevanceAZ"/></option>
+						<option value="Relevance|desc" <inp2:n_SortingSelected sorting="Relevance|desc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_RelevanceZA"/></option>
+					</inp2:m_if>
+
 					<option value="Title|asc" <inp2:n_SortingSelected sorting="Title|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_ArticleTitleAZ"/></option>
 					<option value="Title|desc" <inp2:n_SortingSelected sorting="Title|desc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_ArticleTitleZA"/></option>
 					<option value="CreatedOn|asc" <inp2:n_SortingSelected sorting="CreatedOn|asc" selected='selected="selected"'/>> <inp2:m_Phrase label="lu_RecentToOld"/></option>
